Bug 14982 - Remove C4::Dates from guided report wizard and dictionary
Summary: Remove C4::Dates from guided report wizard and dictionary
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14870
  Show dependency treegraph
 
Reported: 2015-10-08 17:31 UTC by Marc Véron
Modified: 2016-06-21 21:39 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Remove C4::Dates from guided report wizard and dictionary (3.81 KB, patch)
2015-10-08 18:04 UTC, Marc Véron
Details | Diff | Splinter Review
Remove C4::Dates from guided report wizard and dictionary (4.73 KB, patch)
2015-10-08 19:49 UTC, Marc Véron
Details | Diff | Splinter Review
Remove C4::Dates from guided report wizard and dictionary (4.78 KB, patch)
2015-10-26 07:14 UTC, Josef Moravec
Details | Diff | Splinter Review
[PASSED QA] Remove C4::Dates from guided report wizard and dictionary (4.84 KB, patch)
2015-10-26 07:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-10-08 17:31:24 UTC

    
Comment 1 Marc Véron 2015-10-08 18:04:30 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-10-08 19:49:00 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2015-10-23 09:32:30 UTC
Still applies
Comment 4 Josef Moravec 2015-10-26 07:14:52 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-10-26 07:20:44 UTC
Created attachment 43971 [details] [review]
[PASSED QA] Remove C4::Dates from guided report wizard and dictionary

This patch removes C4::Dates from files:
- reports/guided_reports.pl
- reports/dictionary.pl
- C4/Reports/Guided.pm

To test:
- Go to Home > Reports > Guided reports wizard
- Then go to 'View Dictionary' (menue at teh left)
- Click 'New definition' and step through
- In step 2. select e.g. borrowers
- In step 3 select a date field
- In step 4, select date range and test start / end dates
- In step 5, verify that dates display properly
- Save and verify that dates are insertet properly in sql definition

- Go back to Home > Reports > Guided reports wizard
- Step through the wizard and verify that it works as before.

http://bugs.koha-community.org/show_bug.cgi?id=14982
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2015-10-26 07:26:19 UTC
Thx Josef! Looking forward to see the C4::Dates removal finished!
Comment 7 Tomás Cohen Arazi 2015-10-26 14:23:19 UTC
Patch pushed to master.

Thanks Marc!